Bug 736709 - Add a "runtime" or "queue date" statistic to the schema for submissions
Summary: Add a "runtime" or "queue date" statistic to the schema for submissions
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-qmf
Version: Development
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: 2.1
: ---
Assignee: Pete MacKinnon
QA Contact: MRG Quality Engineering
URL:
Whiteboard:
Depends On:
Blocks: 639383
TreeView+ depends on / blocked
 
Reported: 2011-09-08 13:24 UTC by Trevor McKay
Modified: 2011-09-28 19:17 UTC (History)
3 users (show)

Fixed In Version: condor-7.6.4-0.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-28 19:17:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 639383 None None None Never

Internal Links: 639383

Description Trevor McKay 2011-09-08 13:24:13 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Trevor McKay 2011-09-08 13:27:59 UTC
oops, early return.

Investigate what kind of data is available in the plugins to quantify the "age" of a submission.  This could be accumulated run time, or original queue date, other ideas?  

This is an effort to make the "Longest Running Grid Submission" table in cumin useful.  Right now what it actually reports is "oldest qmf object creation date" which is not really the same thing.

Comment 2 Pete MacKinnon 2011-09-08 15:52:25 UTC
Will update QMF plugins/daemon as well as Aviary query server to include oldest_qdate (oldest_job, original_qdate, qdate???) field to submission object/summary respectively.

Comment 3 Matthew Farrellee 2011-09-08 17:40:36 UTC
How about -

property name="QDate" type="absTime" desc="Oldest QDate of member jobs"

Can change as jobs filter out of existence and services restart. Schedd - when jobs leave the queue and the Schedd restarts. JobServer - when jobs leave the history and JobServer restarts. No need to update the QDate as jobs filter out of existence.

Comment 4 Pete MacKinnon 2011-09-12 22:35:01 UTC
Added for QMF contrib:

  <property name="QDate" type="absTime" desc="Oldest QDate of member jobs"/>

Aviary SubmissionSummary gets:

  <xs:element name="qdate" type="xs:int"/>

This could be made as xs:dateTime but wasn't sure if you wanted that in epoch format or not. Seems like the date arithmetic would be more straightforward that way. Let me know.


Note You need to log in before you can comment on or make changes to this bug.